## hubzero-submit-common 1.1.0-1

=== debian/changelog ===
hubzero-submit-common (1.1.0-1) unstable; urgency=low

  * Initial release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 31 Aug 2012 09:23:35 -0400

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-submit-common
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2012 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2012 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	# $(MAKE)
	#docbook-to-man debian/hubzero-submit-common.sgml > hubzero-submit-common.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep 
	dh_installdirs

	# Add here commands to install the package into debian/hubzero-submit-common.
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-submit-common install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## hubzero-submit-common 2.0.4

=== Makefile ===
# @package      hubzero-submit-common
# @file         Makefile
# @author       David Benham <dbenham@purdue.edu>
# @copyright    Copyright (c) 2012 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2012 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

default all build:
	true
	
install:
	echo "desdir=" $(DESTDIR)
	python setup.py install --root $(DESTDIR)
	
clean:
	find . -name '*.pyc' -delete
	rm -f build-stamp
	rm -f configure-stamp
	python setup.py clean

## hubzero-submit-common 2.0.0-1

=== debian/changelog ===
hubzero-submit-common (2.0.0-1) unstable; urgency=low

  * Initial release of hubzero-submit-common package (for submit 2.0)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 31 Aug 2012 10:24:00 -0400

=== debian/control ===
Source: hubzero-submit-common
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.7.3
Homepage: http://hubzero.org

Package: hubzero-submit-common
Architecture: all
Depends: hubzero-python, python-openssl, ${misc:Depends}
Description: HUBzero submit common python library
 HUBzero python library modules to support submit packages

## hubzero-submit-common 2.0.5

=== Makefile ===
--- 
+++ 
@@ -26,14 +26,17 @@
 #
 
 default all build:
-	true
+	@true
 	
 install:
-	echo "desdir=" $(DESTDIR)
-	python setup.py install --root $(DESTDIR)
+	python setup.py install $(COMPILE) --root $(DESTDIR) --install-layout=deb
+	
+configure:
+	@true
 	
 clean:
 	find . -name '*.pyc' -delete
 	rm -f build-stamp
 	rm -f configure-stamp
 	python setup.py clean
+	rm -fr build

## hubzero-submit-common 2.0.8

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-submit-common
 # @file         Makefile
 # @author       David Benham <dbenham@purdue.edu>
-# @copyright    Copyright (c) 2012 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2012-2013 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2012 HUBzero Foundation, LLC.
+# Copyright (c) 2012-2013 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

## hubzero-submit-common 2.5.1

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	@true
 	
 install:
-	python setup.py install $(COMPILE) --root $(DESTDIR) --install-layout=deb
+	python setup.py install $(COMPILE) --root $(DESTDIR)
 	
 configure:
 	@true

## hubzero-submit-common 2.5.7

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-submit-common
 # @file         Makefile
-# @author       David Benham <dbenham@purdue.edu>
-# @copyright    Copyright (c) 2012-2013 HUBzero Foundation, LLC.
+# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
+# @copyright    Copyright (c) 2012-2014 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2012-2013 HUBzero Foundation, LLC.
+# Copyright (c) 2012-2014 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -25,18 +25,23 @@
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #
 
-default all build:
+all:
 	@true
-	
+
 install:
-	python setup.py install $(COMPILE) --root $(DESTDIR)
-	
-configure:
+	python setup.py install $(COMPILE) --root $(DESTDIR) --install-layout=deb
+
+uninstall:
 	@true
-	
+
+postinst:
+	@true
+
 clean:
 	find . -name '*.pyc' -delete
 	rm -f build-stamp
 	rm -f configure-stamp
 	python setup.py clean
 	rm -fr build
+
+.PHONY: all install postinst clean

## hubzero-submit-common 2.7.2

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-submit-common
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2012-2014 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2012-2014 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -25,11 +25,18 @@
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #
 
+DISTRIBUTION := $(shell lsb_release -is)
+MAJORVERSION := $(shell lsb_release -rs | cut -d . -f 1)
+
+ifeq ($(DISTRIBUTION),Debian)
+il=--install-layout=deb
+endif
+
 all:
 	@true
 
 install:
-	python setup.py install $(COMPILE) --root $(DESTDIR) --install-layout=deb
+	python setup.py install $(COMPILE) --root $(DESTDIR) $(il)
 
 uninstall:
 	@true
@@ -44,4 +51,4 @@
 	python setup.py clean
 	rm -fr build
 
-.PHONY: all install postinst clean
+.PHONY: all install uninstall postinst clean

## hubzero-submit-common 3.0.8

=== Makefile ===
# @package      hubzero-submit-common
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

DISTRIBUTION := $(shell lsb_release -is)
MAJORVERSION := $(shell lsb_release -rs | cut -d . -f 1)

ifeq ($(DISTRIBUTION),Debian)
il=--install-layout=deb
endif

all:
	@true

install:
	python setup.py install $(COMPILE) --root $(DESTDIR) $(il)

uninstall:
	@true

postinst:
	@true

clean:
	find . -name '*.pyc' -delete
	rm -f build-stamp
	rm -f configure-stamp
	python setup.py clean
	rm -fr build

.PHONY: all install uninstall postinst clean

## hubzero-submit-common 3.1.2-1+deb6

=== debian/changelog ===
hubzero-submit-common (3.1.2-1+deb6) unstable; urgency=low

  * Corrected runStatusPath
  * Added runName to job monitor database
  * Eliminate --disableStateCheck
  * Introduce hierarchical probeSite structure
  * Eliminate RUNJOB

 -- Steven Clark <clarks@purdue.edu>  Mon, 12 Jun 2017 14:59:01 -0400

hubzero-submit-common (3.0.10-1) unstable; urgency=low

  * Fixed -p files=glob:directory/*.dat when
    directory does not exist.
  * Added type longPositive to command parser.  Prevents -ve ids.
  * Added --cacheId option for recording jobs that pull results from cache.
  * Added configurable ssh options. Initial use is to set connection timeout
    and retry limit.

 -- Steven Clark <clarks@purdue.edu>  Mon, 11 Jul 2016 11:23:11 -0400

hubzero-submit-common (3.0.8-1) unstable; urgency=low

  * Another set of traps for os.getwd() failures
  * CHeck for SSL error in connection.
  * Do not attempt data transfer on null channel.
  * Treat case when exit status = None or other non-numerical value

 -- Steven Clark <clarks@purdue.edu>  Wed, 09 Mar 2016 14:22:52 -0500

hubzero-submit-common (3.0.1-1) unstable; urgency=low

  * Replaced string based data exchange API with JSON based exchange
  * Changed default help to report only command line options.  Examples
    are now available upon request.
  * Added option to tail output files at job execution site for some
    batch submission systems.  New options are --tailStdout,
    --tailStderr, and --tail fileName
  * Added new client command for checking the probe status of a venue
    --venueStatus
  * Added progress report control from the command line.  Options are
    auto, curses, submit, text, pegasus, and silent.
  * Reinstituted the ability to haves spaces in file and directory names.
  * Moved communication handshake closer to the core message code.
    Allows communication between process and various daemons to
    be non-persistent.  Each message starts with a handshake, does the
    data exchange, closes connection .
  * Added recursive string template substitution function.  Used for
    substituting into submisssion scripts.
  * Added centralized manager for daemon to maintain host and port location
    of the individual daemons.
  * Allow *.dat values to include dictionaries.  Permissible value types
    are now list, bool, float, int, dict, and str.

 -- Steven Clark <clarks@purdue.edu>  Mon, 07 Sep 2015 16:52:56 -0400

hubzero-submit-common (2.7.2-1) unstable; urgency=medium

  * packaging update for debian 8

 -- Nicholas Kisseberth <nkissebe@nix8.hubzero.org>  Wed, 03 Jun 2015 11:11:23 -0400

hubzero-submit-common (2.7.1-1) unstable; urgency=low

  * 2.7.1 update, normalizing packaging, copyright updates
  * removed some debian specific logic from the RH build in source/Makefile
  * Added delete probe monitor action
  * Added detach/attach options in hidden mode
  * Use python logging module which removes need for global write permission
  * Removed erroneous whitespace for csv parameter file documentation.
  * Corrected shifting for exit code.
  * Upgraded JobOutput to a class.
  * Complete write to std output file function set.

 -- Steven Clark <clarks@purdue.edu>  Tue, 23 Sep 2014 20:16:11 -0400

hubzero-submit-common (2.6.1-1) unstable; urgency=low

  * Corrected disableProbeCheck setting
  * Disconnect client/server when socket connection is broken

 -- Steven Clark <clarks@purdue.edu>  Mon, 02 Dec 2013 16:56:40 -0500

hubzero-submit-common (2.5.7-1) unstable; urgency=low

  * Repackaged to support multiple Debian releases

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 10 Sep 2014 11:00:44 -0400

hubzero-submit-common (2.5.6-1) unstable; urgency=low

  * Fix python version dependencies for Debian 7 package compatibility 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 24 Aug 2014 16:53:42 -0400

hubzero-submit-common (2.5.5-1) unstable; urgency=low

  * Fixed false connection close when receive empty message

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 31 Aug 2013 17:36:13 -0400

hubzero-submit-common (2.5.1-1) unstable; urgency=low

  * Update copyright statements
  * Completely disable detach/attach command line option
  * Update package source Makefiles and python installation scripts
  * Added submit --kill id command
  * Added submit --status [id] command
  * Added support for future ability to detach from incomplete jobs,
    creating the ability to do asynchronous submission
  * Added support for future ability to (re)attach to incomplete jobs
  * Upgraded to sqlite for the job monitoring database.
    This will provide a more stable solution in cases of
    abnormal monitor termination.
  * Added support for parameter sweeps when Pegasus/Condor is not
    available.  This allows sweep submission for serial and parallel
    applications.  This is not full workflow support only sweeps.
  * Added support for use of unix sockets to communicate between
    execution and proxy servers.
  * Report some client errors where the user will see the message.
  * Deprecated globnat in parameter sweep
  * Added --version option to server, client, distributor.
  * Check for hostname on submit SSL certificate.
  * Added support for SGE batch queuing systems.
  * Production setting for disableStateCheck and disableProbeCheck
  * Do not fail when distributor configuration files are missing
  * minor cleanup based on pylint
  * corrected --help examples
  * added writeToStdout() and writeToStderr() methods to standardize
    treatment of output generated server side for transfer to client.
  * replaced environment variables IGNORESTATECHECK, IGNOREPROBECHECK,
    X509_SUBMIT_PROXY, USER_LOG_PATH, and USER_JOBID_PATH with hidden command
    line arguments.  The intended use of the new arguments is with the
    gridstat probe tests.
  * report hostname where submit client is running in addition to ip address.
  * added finish time to parameteric run csv status file.


## hubzero-submit-common 3.1.2-1+deb7

=== debian/changelog ===
hubzero-submit-common (3.1.2-1+deb7) unstable; urgency=low

  * Corrected runStatusPath
  * Added runName to job monitor database
  * Eliminate --disableStateCheck
  * Introduce hierarchical probeSite structure
  * Eliminate RUNJOB

 -- Steven Clark <clarks@purdue.edu>  Mon, 12 Jun 2017 14:59:01 -0400

## hubzero-submit-common 3.1.2-1+deb8

=== debian/changelog ===
hubzero-submit-common (3.1.2-1+deb8) unstable; urgency=low

  * Corrected runStatusPath
  * Added runName to job monitor database
  * Eliminate --disableStateCheck
  * Introduce hierarchical probeSite structure
  * Eliminate RUNJOB

 -- Steven Clark <clarks@purdue.edu>  Mon, 12 Jun 2017 14:59:01 -0400

## hubzero-submit-common 3.1.3-1+deb6

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #
 
-DISTRIBUTION := $(shell lsb_release -is)
+DISTRIBUTION := $(shell lsb_release -i -s)
 MAJORVERSION := $(shell lsb_release -rs | cut -d . -f 1)
 
 ifeq ($(DISTRIBUTION),Debian)

=== debian/changelog ===
hubzero-submit-common (3.1.3-1+deb6) unstable; urgency=low

  * no changes. synchronized version update

 -- Steven Clark <clarks@purdue.edu>  Wed, 27 Sep 2017 09:40:23 -0400

hubzero-submit-common (3.1.2-1) unstable; urgency=low

  * Corrected runStatusPath
  * Added runName to job monitor database
  * Eliminate --disableStateCheck
  * Introduce hierarchical probeSite structure
  * Eliminate RUNJOB

 -- Steven Clark <clarks@purdue.edu>  Mon, 12 Jun 2017 14:59:01 -0400

=== debian/control ===
Source: hubzero-submit-common
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0), python-support (>=0.8) , python-all  
Standards-Version: 3.8.4
X-Python-Version: >= 2.6
Homepage: http://hubzero.org

Package: hubzero-submit-common
Architecture: all
Depends: python-numpy, hubzero-python, python-openssl, python (>=2.6), ${misc:Depends}
Description: HUBzero submit common python library
 HUBzero python library modules to support submit packages

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-submit-common
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	#>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-submit-common COMPILE=--no-compile install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i
	dh_installman -i
	dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep 
#binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## hubzero-submit-common 3.1.3-1+deb7

=== debian/changelog ===
hubzero-submit-common (3.1.3-1+deb7) unstable; urgency=low

  * no changes. synchronized version update

 -- Steven Clark <clarks@purdue.edu>  Wed, 27 Sep 2017 09:40:23 -0400

## hubzero-submit-common 3.1.3-1+deb8

=== debian/changelog ===
hubzero-submit-common (3.1.3-1+deb8) unstable; urgency=low

  * no changes. synchronized version update

 -- Steven Clark <clarks@purdue.edu>  Wed, 27 Sep 2017 09:40:23 -0400

## hubzero-submit-common 3.2.8-2+deb8

=== debian/changelog ===
hubzero-submit-common (3.2.8-2+deb8) unstable; urgency=low

     - Improve reporting of what is executed in joblog:event.
     - Added support for new location of Pegasus
       stdout and stderr files.
     - New argument to tar command builder to request
       tar file be gzipped.
     - Allow parameter sweep variables to be
       used in conjunction with environment variables.
     - Moved RemoteJobMonitor.py, RemoteTunnelMonitor.py, and
       TunnelsInfo.py to distributor package.
     - Unify Python2 nd Python3 code.
     - Exclude .git from tarball transfers.  Treat the same
       as .svn.
     - Modified client and common classes to support
       python2 and python3 from the same source code
       base.
     - Preprocess --parameter=glob:* style argument.
       Was not working correctly when client and server
       do not share file systems.
     - Added BOINC workflow type.  Generated by parametric
       sweep submitting multiple jobs as a batch to
       BOINC.

 -- Steven Clark <clarks@purdue.edu>  Thu, 12 Apr 2018 11:16:07 -0400

hubzero-submit-common (3.1.3-1) unstable; urgency=low

  * no changes. synchronized version update

 -- Steven Clark <clarks@purdue.edu>  Wed, 27 Sep 2017 09:40:23 -0400

## hubzero-submit-common 3.2.8-2+deb9

=== debian/changelog ===
hubzero-submit-common (3.2.8-2+deb9) unstable; urgency=low

     - Improve reporting of what is executed in joblog:event.
     - Added support for new location of Pegasus
       stdout and stderr files.
     - New argument to tar command builder to request
       tar file be gzipped.
     - Allow parameter sweep variables to be
       used in conjunction with environment variables.
     - Moved RemoteJobMonitor.py, RemoteTunnelMonitor.py, and
       TunnelsInfo.py to distributor package.
     - Unify Python2 nd Python3 code.
     - Exclude .git from tarball transfers.  Treat the same
       as .svn.
     - Modified client and common classes to support
       python2 and python3 from the same source code
       base.
     - Preprocess --parameter=glob:* style argument.
       Was not working correctly when client and server
       do not share file systems.
     - Added BOINC workflow type.  Generated by parametric
       sweep submitting multiple jobs as a batch to
       BOINC.

 -- Steven Clark <clarks@purdue.edu>  Thu, 12 Apr 2018 11:16:07 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
-Build-Depends: debhelper (>= 8.0.0), python-support (>=0.8) , python-all  
+Build-Depends: debhelper (>= 8.0.0)    , dh-python
 Standards-Version: 3.8.4
 X-Python-Version: >= 2.6
 Homepage: http://hubzero.org

## hubzero-submit-common 3.2.9-1+deb7

=== debian/changelog ===
hubzero-submit-common (3.2.9-1+deb7) unstable; urgency=low

     - Improve error reporting in MessageCore.

 -- Steven Clark <clarks@purdue.edu>  Wed, 13 Jun 2018 14:29:38 -0400

hubzero-submit-common (3.2.8-2) unstable; urgency=low

     - Improve reporting of what is executed in joblog:event.
     - Added support for new location of Pegasus
       stdout and stderr files.
     - New argument to tar command builder to request
       tar file be gzipped.
     - Allow parameter sweep variables to be
       used in conjunction with environment variables.
     - Moved RemoteJobMonitor.py, RemoteTunnelMonitor.py, and
       TunnelsInfo.py to distributor package.
     - Unify Python2 nd Python3 code.
     - Exclude .git from tarball transfers.  Treat the same
       as .svn.
     - Modified client and common classes to support
       python2 and python3 from the same source code
       base.
     - Preprocess --parameter=glob:* style argument.
       Was not working correctly when client and server
       do not share file systems.
     - Added BOINC workflow type.  Generated by parametric
       sweep submitting multiple jobs as a batch to
       BOINC.

 -- Steven Clark <clarks@purdue.edu>  Thu, 12 Apr 2018 11:16:07 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
-Build-Depends: debhelper (>= 8.0.0)    , dh-python
+Build-Depends: debhelper (>= 8.0.0), python-support (>=0.8)  , python-all 
 Standards-Version: 3.8.4
 X-Python-Version: >= 2.6
 Homepage: http://hubzero.org

## hubzero-submit-common 3.2.9-1+deb8

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-submit-common
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal

=== debian/changelog ===
hubzero-submit-common (3.2.9-1+deb8) unstable; urgency=low

     - Improve error reporting in MessageCore.

 -- Steven Clark <clarks@purdue.edu>  Wed, 13 Jun 2018 14:29:38 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
-Build-Depends: debhelper (>= 8.0.0), python-support (>=0.8)  , python-all 
+Build-Depends: debhelper (>= 8.0.0), python-support (>=0.8)   , dh-python
 Standards-Version: 3.8.4
 X-Python-Version: >= 2.6
 Homepage: http://hubzero.org

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,10 @@
 # @package      hubzero-submit-common
 # @file         rules
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal

## hubzero-submit-common 3.4.2-1+deb7

=== debian/changelog ===
hubzero-submit-common (3.4.2-1+deb7) unstable; urgency=low

     - Update to version 3.4.2
     - Update to version 3.4.1
     - Added --disableJobMonitoring.  This is available only
       for BOINC submission.  Rather than monitor job progress
       in the distributor process on the submit server updates
       are posted through the shared file system.  The objective
       is to greatly reduce the memory footprint of the monitoring
       process thus allowing many more simultaneous submissions.
     - More specific error reporting that occurs when connections are
       delayed due to high traffic or large message sizes.
     - More specific error reporting that occurs when connections are
       delayed due to high traffic or large message sizes.
     - Added --requestCache option for submit to directly query cache
       for result.
     - Added parallel (striped) execution of local run jobs.  Make is used to
       control the maximum number of running jobs.
     - Redid commands related to recording cache jobs.  Both cache hits
       and cache misses can now be recorded.
     - Modified to reflect changes in new version peagsus job reporting format.
     - Cleanup of Python2/3 data transfer over client-server connection.  Avoid
       large idle times that occurred in large many buffer data transfers.
     - Release version 3.3.1.

 -- Steven Clark <clarks@purdue.edu>  Fri, 05 Jul 2019 14:04:48 -0400

hubzero-submit-common (3.2.9-1) unstable; urgency=low

     - Improve error reporting in MessageCore.

 -- Steven Clark <clarks@purdue.edu>  Wed, 13 Jun 2018 14:29:38 -0400

## hubzero-submit-common 3.4.2-1+deb8

=== debian/changelog ===
hubzero-submit-common (3.4.2-1+deb8) unstable; urgency=low

     - Update to version 3.4.2
     - Update to version 3.4.1
     - Added --disableJobMonitoring.  This is available only
       for BOINC submission.  Rather than monitor job progress
       in the distributor process on the submit server updates
       are posted through the shared file system.  The objective
       is to greatly reduce the memory footprint of the monitoring
       process thus allowing many more simultaneous submissions.
     - More specific error reporting that occurs when connections are
       delayed due to high traffic or large message sizes.
     - More specific error reporting that occurs when connections are
       delayed due to high traffic or large message sizes.
     - Added --requestCache option for submit to directly query cache
       for result.
     - Added parallel (striped) execution of local run jobs.  Make is used to
       control the maximum number of running jobs.
     - Redid commands related to recording cache jobs.  Both cache hits
       and cache misses can now be recorded.
     - Modified to reflect changes in new version peagsus job reporting format.
     - Cleanup of Python2/3 data transfer over client-server connection.  Avoid
       large idle times that occurred in large many buffer data transfers.
     - Release version 3.3.1.

 -- Steven Clark <clarks@purdue.edu>  Fri, 05 Jul 2019 14:04:48 -0400

## hubzero-submit-common 3.4.3-1+deb10

=== debian/changelog ===
hubzero-submit-common (3.4.3-1+deb10) unstable; urgency=low

     - update destination rpm upload directory
     - update copyright years
     - remove per file @author references
     - update email address references
     - update copyright/trademark ownership
     - Do pattern verification on squid.
     - Added UTF encoding for client/server communication. Need was
       revealed when using TCP instead of TLS protocol.
     - Update to version 3.4.3

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Fri, 01 May 2020 11:33:17 -0700

hubzero-submit-common (3.4.2-1) unstable; urgency=low

     - Update to version 3.4.2
     - Update to version 3.4.1
     - Added --disableJobMonitoring.  This is available only
       for BOINC submission.  Rather than monitor job progress
       in the distributor process on the submit server updates
       are posted through the shared file system.  The objective
       is to greatly reduce the memory footprint of the monitoring
       process thus allowing many more simultaneous submissions.
     - More specific error reporting that occurs when connections are
       delayed due to high traffic or large message sizes.
     - More specific error reporting that occurs when connections are
       delayed due to high traffic or large message sizes.
     - Added --requestCache option for submit to directly query cache
       for result.
     - Added parallel (striped) execution of local run jobs.  Make is used to
       control the maximum number of running jobs.
     - Redid commands related to recording cache jobs.  Both cache hits
       and cache misses can now be recorded.
     - Modified to reflect changes in new version peagsus job reporting format.
     - Cleanup of Python2/3 data transfer over client-server connection.  Avoid
       large idle times that occurred in large many buffer data transfers.
     - Release version 3.3.1.

 -- Steven Clark <clarks@purdue.edu>  Fri, 05 Jul 2019 14:04:48 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
+ 
 Source: hubzero-submit-common
 Section: misc
 Priority: optional
-Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
-Build-Depends: debhelper (>= 8.0.0), python-support (>=0.8)   , dh-python
+Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
+Build-Depends: debhelper (>= 8.0.0)     , dh-python
 Standards-Version: 3.8.4
 X-Python-Version: >= 2.6
 Homepage: http://hubzero.org

## hubzero-submit-common 3.4.3-2+deb9

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
 # @package      hubzero-submit-common
 # @file         Makefile
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -24,7 +23,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 DISTRIBUTION := $(shell lsb_release -i -s)

=== debian/changelog ===
hubzero-submit-common (3.4.3-2+deb9) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years
  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 20 Aug 2020 11:04:25 -0700

hubzero-submit-common (3.4.3-1) unstable; urgency=low

     - update destination rpm upload directory
     - update copyright years
     - remove per file @author references
     - update email address references
     - update copyright/trademark ownership
     - Do pattern verification on squid.
     - Added UTF encoding for client/server communication. Need was
       revealed when using TCP instead of TLS protocol.
     - Update to version 3.4.3

 -- Steven Clark <smclark@ucsd.edu>  Fri, 01 May 2020 11:33:17 -0700

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
- 
 Source: hubzero-submit-common
 Section: misc
 Priority: optional
 Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
-Build-Depends: debhelper (>= 8.0.0)     , dh-python
+Build-Depends: debhelper (>= 8.0.0)     , dh-python 
 Standards-Version: 3.8.4
 X-Python-Version: >= 2.6
 Homepage: http://hubzero.org

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,10 @@
 #
 # @package      hubzero-submit-common
 # @file         rules
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -26,7 +25,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 # Uncomment this to turn on verbose mode.

## hubzero-submit-common 3.4.3-2+deb10

=== debian/changelog ===
hubzero-submit-common (3.4.3-2+deb10) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years
  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 20 Aug 2020 11:04:25 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
-Build-Depends: debhelper (>= 8.0.0)     , dh-python 
+Build-Depends: debhelper (>= 8.0.0)      , dh-python
 Standards-Version: 3.8.4
 X-Python-Version: >= 2.6
 Homepage: http://hubzero.org

## hubzero-submit-common 3.5.0-1+deb7

=== debian/changelog ===
hubzero-submit-common (3.5.0-1+deb7) unstable; urgency=low

     - Added --measurementsPath and --asynchronous options to support
       webservice based job submission.
     - Added job statistics to activeJob table for use in conjunction
       with webservice based job simulation.

 -- Steven Clark <smclark@ucsd.edu>  Thu, 08 Jul 2021 10:12:44 -0700

hubzero-submit-common (3.4.3-2) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years
  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 20 Aug 2020 11:04:25 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
-Build-Depends: debhelper (>= 8.0.0)      , dh-python
+Build-Depends: debhelper (>= 8.0.0)  , python-all,python-support    
 Standards-Version: 3.8.4
 X-Python-Version: >= 2.6
 Homepage: http://hubzero.org

## hubzero-submit-common 3.5.0-1+deb10

=== debian/changelog ===
hubzero-submit-common (3.5.0-1+deb10) unstable; urgency=low

     - Added --measurementsPath and --asynchronous options to support
       webservice based job submission.
     - Added job statistics to activeJob table for use in conjunction
       with webservice based job simulation.

 -- Steven Clark <smclark@ucsd.edu>  Thu, 08 Jul 2021 10:12:44 -0700

## hubzero-submit-common 3.6.0-1+deb10

=== Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
 	@true
 
 install:
-	python setup.py install $(COMPILE) --root $(DESTDIR) $(il)
+	python3 setup.py install $(COMPILE) --root $(DESTDIR) $(il)
 
 uninstall:
 	@true

=== debian/changelog ===
hubzero-submit-common (3.6.0-1+deb10) unstable; urgency=low

     - Upgrade Pegasus related methods to Python3
     - Added support for multiple configurable Pegasus versions.

 -- Steven Clark <smclark@ucsd.edu>  Wed, 05 Jan 2022 08:49:22 -0800

hubzero-submit-common (3.5.0-1) unstable; urgency=low

     - Added --measurementsPath and --asynchronous options to support
       webservice based job submission.
     - Added job statistics to activeJob table for use in conjunction
       with webservice based job simulation.

 -- Steven Clark <smclark@ucsd.edu>  Thu, 08 Jul 2021 10:12:44 -0700

=== debian/control ===

Source: hubzero-submit-common
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
Build-Depends: debhelper (>= 8.0.0)      , dh-python
Standards-Version: 3.8.4
X-Python-Version: >= 2.6
Homepage: http://hubzero.org

Package: hubzero-submit-common
Architecture: all
Depends:     , python (>=3.6), python3-numpy, python3-openssl, hubzero-python, ${misc:Depends}
Description: HUBzero submit common python library
 HUBzero python library modules to support submit packages

## hubzero-submit-common 3.6.0-2+deb7

=== debian/changelog ===
hubzero-submit-common (3.6.0-2+deb7) unstable; urgency=low

     - fix debian7/python2 install

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 05 Jan 2022 11:02:16 -0800

hubzero-submit-common (3.6.0-1) unstable; urgency=low

     - Upgrade Pegasus related methods to Python3
     - Added support for multiple configurable Pegasus versions.

 -- Steven Clark <smclark@ucsd.edu>  Wed, 05 Jan 2022 08:49:22 -0800

## hubzero-submit-common 3.6.0-3+deb10

=== Makefile ===
--- 
+++ 
@@ -28,16 +28,20 @@
 
 DISTRIBUTION := $(shell lsb_release -i -s)
 MAJORVERSION := $(shell lsb_release -rs | cut -d . -f 1)
+PYTHONVERSION := 3
 
 ifeq ($(DISTRIBUTION),Debian)
 il=--install-layout=deb
+ifneq ($(filter $(MAJORVERSION),6 7 8 9),)
+PYTHONVERSION := 2
+endif
 endif
 
 all:
 	@true
 
 install:
-	python3 setup.py install $(COMPILE) --root $(DESTDIR) $(il)
+	python$(PYTHONVERSION) setup.py install $(COMPILE) --root $(DESTDIR) $(il)
 
 uninstall:
 	@true

=== debian/changelog ===
hubzero-submit-common (3.6.0-3+deb10) unstable; urgency=low

     - fix debian10 dependencies (python3)

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 05 Jan 2022 12:58:42 -0800

hubzero-submit-common (3.6.0-2) unstable; urgency=low

     - fix debian7/python2 install

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 05 Jan 2022 11:02:16 -0800

## hubzero-submit-common 3.6.2-1+deb7

=== debian/changelog ===
hubzero-submit-common (3.6.2-1+deb7) unstable; urgency=low

     - Update to version 3.6.2

 -- Steven Clark <smclark@ucsd.edu>  Thu, 03 Nov 2022 23:58:47 -0700

hubzero-submit-common (3.6.1-1) unstable; urgency=low

     - Update to version 3.6.1
     - Convert Python 3 iterator returned from filter to list

 -- Steven Clark <smclark@ucsd.edu>  Fri, 12 Aug 2022 13:34:02 -0700

hubzero-submit-common (3.6.0-4) unstable; urgency=low

     - include python2 libraries

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  THu, 06 Jan 2022 10:09:02 -0800

hubzero-submit-common (3.6.0-3) unstable; urgency=low

     - fix debian10 dependencies (python3)

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 05 Jan 2022 12:58:42 -0800

## hubzero-submit-common 3.6.2-1+deb10

=== Makefile ===
--- 
+++ 
@@ -28,12 +28,12 @@
 
 DISTRIBUTION := $(shell lsb_release -i -s)
 MAJORVERSION := $(shell lsb_release -rs | cut -d . -f 1)
-PYTHONVERSION := 3
+INSTALL_PYTHON3_LIBS := 1
 
 ifeq ($(DISTRIBUTION),Debian)
 il=--install-layout=deb
-ifneq ($(filter $(MAJORVERSION),6 7 8 9),)
-PYTHONVERSION := 2
+ifeq ($(filter $(MAJORVERSION),6 7 8 9),)
+INSTALL_PYTHON3_LIBS := 0
 endif
 endif
 
@@ -41,7 +41,10 @@
 	@true
 
 install:
-	python$(PYTHONVERSION) setup.py install $(COMPILE) --root $(DESTDIR) $(il)
+	python2 setup.py install $(COMPILE) --root $(DESTDIR) $(il)
+ifeq ($(INSTALL_PYTHON3_LIBS),1)
+	python3 setup.py install $(COMPILE) --root $(DESTDIR) $(il)
+endif
 
 uninstall:
 	@true

=== debian/changelog ===
hubzero-submit-common (3.6.2-1+deb10) unstable; urgency=low

     - Update to version 3.6.2

 -- Steven Clark <smclark@ucsd.edu>  Thu, 03 Nov 2022 23:58:47 -0700

## hubzero-submit-common 3.6.2-2+deb7

=== debian/changelog ===
hubzero-submit-common (3.6.2-2+deb7) unstable; urgency=low

     - include python2 and python3 files in debian 10 packages

 -- Steven Clark <smclark@ucsd.edu>  Thu, 03 Nov 2022 23:58:47 -0700

hubzero-submit-common (3.6.2-1) unstable; urgency=low

     - Update to version 3.6.2

 -- Steven Clark <smclark@ucsd.edu>  Thu, 03 Nov 2022 23:58:47 -0700

## hubzero-submit-common 3.6.2-2+deb10

=== debian/changelog ===
hubzero-submit-common (3.6.2-2+deb10) unstable; urgency=low

     - include python2 and python3 files in debian 10 packages

 -- Steven Clark <smclark@ucsd.edu>  Thu, 03 Nov 2022 23:58:47 -0700

## hubzero-submit-common 3.6.3-1+deb7

=== debian/changelog ===
hubzero-submit-common (3.6.3-1+deb7) unstable; urgency=low

     - Update to version 3.6.3

 -- Steven Clark <smclark@ucsd.edu>  Tue, 16 May 2023 14:50:21 -0700

hubzero-submit-common (3.6.2-2) unstable; urgency=low

     - include python2 and python3 files in debian 10 packages

 -- Steven Clark <smclark@ucsd.edu>  Thu, 03 Nov 2022 23:58:47 -0700

## hubzero-submit-common 3.6.3-1+deb10

=== debian/changelog ===
hubzero-submit-common (3.6.3-1+deb10) unstable; urgency=low

     - Update to version 3.6.3

 -- Steven Clark <smclark@ucsd.edu>  Tue, 16 May 2023 14:50:21 -0700

## hubzero-submit-common 3.7.0-1+deb7

=== debian/changelog ===
hubzero-submit-common (3.7.0-1+deb7) unstable; urgency=low

     - Update to version 3.7.0

 -- Steven Clark <smclark@ucsd.edu>  Thu, 18 May 2023 10:25:11 -0700

hubzero-submit-common (3.6.3-1) unstable; urgency=low

     - Update to version 3.6.3

 -- Steven Clark <smclark@ucsd.edu>  Tue, 16 May 2023 14:50:21 -0700

## hubzero-submit-common 3.7.0-1+deb10

=== debian/changelog ===
hubzero-submit-common (3.7.0-1+deb10) unstable; urgency=low

     - Update to version 3.7.0

 -- Steven Clark <smclark@ucsd.edu>  Tue, 18 May 2023 10:25:11 -0700

## hubzero-submit-common 3.7.1-1+deb7

=== debian/changelog ===
hubzero-submit-common (3.7.1-1+deb7) unstable; urgency=low

     - Update to version 3.7.1

 -- Steven Clark <smclark@ucsd.edu>  Tue, 30 May 2023 07:34:14 -0700

hubzero-submit-common (3.7.0-1) unstable; urgency=low

     - Update to version 3.7.0

 -- Steven Clark <smclark@ucsd.edu>  Thu, 18 May 2023 10:25:11 -0700

=== debian/control ===

Source: hubzero-submit-common
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
Build-Depends: debhelper (>= 8.0.0)  , python-all,python-support    
Standards-Version: 3.8.4
X-Python-Version: >= 2.6
Homepage: http://hubzero.org

Package: hubzero-submit-common
Architecture: all
Depends:  , python (>=2.6), python-numpy, python-openssl   , hubzero-python, ${misc:Depends}
Description: HUBzero submit common python library
 HUBzero python library modules to support submit packages

## hubzero-submit-common 3.7.1-1+deb10

=== debian/changelog ===
hubzero-submit-common (3.7.1-1+deb10) unstable; urgency=low

     - Update to version 3.7.1

 -- Steven Clark <smclark@ucsd.edu>  Tue, 30 May 2023 07:34:14 -0700
